# Struct serializer

- Defined in File serialize.hpp

## Struct Documentation

struct serializer

  serializer is the class that initiates the serialization process.

  serializer and deserializer are classes that can be used to initiate the serialization. They are the Archive classes that are the first parameter to the templated function ‘serialize’ in the classes that can be serialized. (See boost::serialization for more info).

  Public Functions

  inline explicit serializer(element_container &node)

    constructor, write to node